Bug 1268933 - oc describe dc output missing ':' for Pre-deploymnet/Post-deployment section.
oc describe dc output missing ':' for Pre-deploymnet/Post-deployment section.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dan Mace
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 12:51 EDT by Peter Ruan
Modified: 2017-03-08 13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:24:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2015-10-05 12:51:49 EDT
Description of problem:
oc describe dc output is missing ':' for Pre-deploymnet/Post-deployment section.  There should be a ':' after each section to have a command output formatting as with the other sections that describe the properties

Version-Release number of selected component (if applicable):

1.0.6

How reproducible:
always.

Steps to Reproduce:
1. oc describe dc <dc_name>
2.
3.

Actual results:
Name:		hooks
Created:	16 minutes ago
Labels:		name=mysql
Latest Version:	1
Triggers:	Config
Strategy:	Recreate
		  Pre-deployment hook (pod type, failure policy: Retry)
		    Container:	mysql-55-centos7
		    Command:	/bin/true
		    Env:	VAR=pre-deployment
		  Post-deployment hook (pod type, failure policy: Ignore)
		    Container:	mysql-55-centos7
		    Command:	/bin/false
		    Env:	VAR=post-deployment
Template:
  Selector:	name=mysql
  Replicas:	1
  Containers:
  NAME			IMAGE					ENV
  mysql-55-centos7	openshift/mysql-55-centos7:latest	MYSQL_DATABASE=root,MYSQL_PASSWORD=Plqe5Wev,MYSQL_USER=user8Y2
Deployment #1 (latest):
	Name:		hooks-1
	Created:	16 minutes ago
	Status:		Failed
	Replicas:	0 current / 0 desired
	Selector:	deployment=hooks-1,deploymentconfig=hooks,name=mysql
	Labels:		name=mysql,openshift.io/deployment-config.name=hooks
	Pods Status:	0 Running / 0 Waiting / 0 Succeeded / 0 Failed
No events.


Expected results:


Additional info:
Comment 2 Peter Ruan 2015-10-05 17:55:34 EDT
if bug https://bugzilla.redhat.com/show_bug.cgi?id=1268954 is implmented, then this bug will be superseded
Comment 4 Peter Ruan 2015-10-20 02:00:10 EDT
Hi Dan,
  Can you please put the PR # for this fix?  That will help QE to track down and see if an new image is built for this fix.

Thanks,
-peter
Comment 5 Wei Sun 2015-10-20 02:44:11 EDT
The PR https://github.com/openshift/origin/pull/5203 is merged to origin master.

Checked this bug in devenv-fedora_2496(oc version is v1.0.6-748-gd9fde09),the bug was fixed.
Result:
$ oc describe dc hooks
Name:		hooks
Created:	15 seconds ago
Labels:		name=mysql
Annotations:	kubectl.kubernetes.io/last-applied-configuration={"kind":"DeploymentConfig","apiVersion":"v1","metadata":{"name":"hooks","creationTimestamp":null,"labels":{"name":"mysql"}},"spec":{"strategy":{"type":"Recreate","recreateParams":{"pre":{"failurePolicy":"Retry","execNewPod":{"command":["/bin/true"],"env":[{"name":"VAR","value":"pre-deployment"}],"containerName":"mysql-55-centos7"}},"post":{"failurePolicy":"Ignore","execNewPod":{"command":["/bin/false"],"env":[{"name":"VAR","value":"post-deployment"}],"containerName":"mysql-55-centos7"}}},"resources":{}},"triggers":[{"type":"ConfigChange"}],"replicas":1,"selector":{"name":"mysql"},"template":{"metadata":{"creationTimestamp":null,"labels":{"name":"mysql"}},"spec":{"containers":[{"name":"mysql-55-centos7","image":"openshift/mysql-55-centos7:latest","ports":[{"containerPort":3306,"protocol":"TCP"}],"env":[{"name":"MYSQL_USER","value":"user8Y2"},{"name":"MYSQL_PASSWORD","value":"Plqe5Wev"},{"name":"MYSQL_DATABASE","value":"root"}],"resources":{},"terminationMessagePath":"/dev/termination-log","imagePullPolicy":"Always","securityContext":{"capabilities":{},"privileged":false}}],"restartPolicy":"Always","dnsPolicy":"ClusterFirst"}}},"status":{}}
Latest Version:	1
Triggers:	Config
Strategy:	Recreate
		  Pre-deployment hook (pod type, failure policy: Retry):
		    Container:	mysql-55-centos7
		    Command:	/bin/true
		    Env:	VAR=pre-deployment
		  Post-deployment hook (pod type, failure policy: Ignore):
		    Container:	mysql-55-centos7
		    Command:	/bin/false
		    Env:	VAR=post-deployment
Template:
  Selector:	name=mysql
  Replicas:	1
  Containers:
  NAME			IMAGE					ENV
  mysql-55-centos7	openshift/mysql-55-centos7:latest	MYSQL_DATABASE=root,MYSQL_PASSWORD=Plqe5Wev,MYSQL_USER=user8Y2
Deployment #1 (latest):
	Name:		hooks-1
	Created:	15 seconds ago
	Status:		Running
	Replicas:	0 current / 0 desired
	Selector:	deployment=hooks-1,deploymentconfig=hooks,name=mysql
	Labels:		name=mysql,openshift.io/deployment-config.name=hooks
	Pods Status:	0 Running / 0 Waiting / 0 Succeeded / 0 Failed
No events.


But in the latest puddle(oc version is  v3.0.2.901-61-g568adb6),the pr has not been merged.

Result:
$ oc describe dc hooks
Name:		hooks
Created:	5 seconds ago
Labels:		name=mysql
Latest Version:	1
Triggers:	Config
Strategy:	Recreate
		  Pre-deployment hook (pod type, failure policy: Retry)
		    Container:	mysql-55-centos7
		    Command:	/bin/true
		    Env:	VAR=pre-deployment
		  Post-deployment hook (pod type, failure policy: Ignore)
		    Container:	mysql-55-centos7
		    Command:	/bin/false
		    Env:	VAR=post-deployment
Template:
  Selector:	name=mysql
  Replicas:	1
  Containers:
  NAME			IMAGE					ENV
  mysql-55-centos7	openshift/mysql-55-centos7:latest	MYSQL_DATABASE=root,MYSQL_PASSWORD=Plqe5Wev,MYSQL_USER=user8Y2
Deployment #1 (latest):
	Name:		hooks-1
	Created:	5 seconds ago
	Status:		Running
	Replicas:	0 current / 0 desired
	Selector:	deployment=hooks-1,deploymentconfig=hooks,name=mysql
	Labels:		name=mysql,openshift.io/deployment-config.name=hooks
	Pods Status:	0 Running / 0 Waiting / 0 Succeeded / 0 Failed
No events.
Comment 6 Peter Ruan 2015-10-20 12:31:36 EDT
Thanks Wei Sun!  Will mark the bug as verified.
Comment 7 Brenton Leanhardt 2015-11-23 09:24:31 EST
This fix is available in OpenShift Enterprise 3.1.

Note You need to log in before you can comment on or make changes to this bug.